Package org.drinkless.tdlib

# Class TdApi.UpgradedGiftColors

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.UpgradedGiftColors

Enclosing class:
  `TdApi`

public static class TdApi.UpgradedGiftColors extends TdApi.Object
Contains information about color scheme for user's name, background of empty chat photo, replies to messages and link previews.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `darkThemeAccentColor`
  Accent color to use in dark themes in RGB format.
  `int[]`
  `darkThemeColors`
  The list of 1-3 colors in RGB format, describing the accent color, as expected to be shown in dark themes.
  `long`
  `id`
  Unique identifier of the upgraded gift colors.
  `int`
  `lightThemeAccentColor`
  Accent color to use in light themes in RGB format.
  `int[]`
  `lightThemeColors`
  The list of 1-3 colors in RGB format, describing the accent color, as expected to be shown in light themes.
  `long`
  `modelCustomEmojiId`
  Custom emoji identifier of the model of the upgraded gift.
  `long`
  `symbolCustomEmojiId`
  Custom emoji identifier of the symbol of the upgraded gift.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpgradedGiftColors()`
  Contains information about color scheme for user's name, background of empty chat photo, replies to messages and link previews.
  `UpgradedGiftColors(long id, long modelCustomEmojiId, long symbolCustomEmojiId, int lightThemeAccentColor, int[] lightThemeColors, int darkThemeAccentColor, int[] darkThemeColors)`
  Contains information about color scheme for user's name, background of empty chat photo, replies to messages and link previews.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public long id
    Unique identifier of the upgraded gift colors.

  - ### modelCustomEmojiId

    public long modelCustomEmojiId
    Custom emoji identifier of the model of the upgraded gift.

  - ### symbolCustomEmojiId

    public long symbolCustomEmojiId
    Custom emoji identifier of the symbol of the upgraded gift.

  - ### lightThemeAccentColor

    public int lightThemeAccentColor
    Accent color to use in light themes in RGB format.

  - ### lightThemeColors

    public int[] lightThemeColors
    The list of 1-3 colors in RGB format, describing the accent color, as expected to be shown in light themes.

  - ### darkThemeAccentColor

    public int darkThemeAccentColor
    Accent color to use in dark themes in RGB format.

  - ### darkThemeColors

    public int[] darkThemeColors
    The list of 1-3 colors in RGB format, describing the accent color, as expected to be shown in dark themes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpgradedGiftColors

    public UpgradedGiftColors()
    Contains information about color scheme for user's name, background of empty chat photo, replies to messages and link previews.

  - ### UpgradedGiftColors

    public UpgradedGiftColors(long id, long modelCustomEmojiId, long symbolCustomEmojiId, int lightThemeAccentColor, int[] lightThemeColors, int darkThemeAccentColor, int[] darkThemeColors)
    Contains information about color scheme for user's name, background of empty chat photo, replies to messages and link previews.
    Parameters:
      `id` - Unique identifier of the upgraded gift colors.
      `modelCustomEmojiId` - Custom emoji identifier of the model of the upgraded gift.
      `symbolCustomEmojiId` - Custom emoji identifier of the symbol of the upgraded gift.
      `lightThemeAccentColor` - Accent color to use in light themes in RGB format.
      `lightThemeColors` - The list of 1-3 colors in RGB format, describing the accent color, as expected to be shown in light themes.
      `darkThemeAccentColor` - Accent color to use in dark themes in RGB format.
      `darkThemeColors` - The list of 1-3 colors in RGB format, describing the accent color, as expected to be shown in dark themes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR